package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq struct {
	/*
	   入库商品明细     */
	InboundItemInfos *[]AlibabaWdkWholesaleInboundorderCommitInboundItemInfo `json:"inbound_item_infos,omitempty" `

	/*
	   收货入库单号     */
	InboundOrderNo *string `json:"inbound_order_no,omitempty" `

	/*
	   收货时间     */
	ReceivedTime *util.LocalTime `json:"received_time,omitempty" `

	/*
	   采购退货单单号     */
	ReturnOrderNo *string `json:"return_order_no,omitempty" `

	/*
	   商家编码     */
	MerchantCode *string `json:"merchant_code,omitempty" `
}

func (s *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq) SetInboundItemInfos(v []AlibabaWdkWholesaleInboundorderCommitInboundItemInfo) *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq {
	s.InboundItemInfos = &v
	return s
}
func (s *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq) SetInboundOrderNo(v string) *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq {
	s.InboundOrderNo = &v
	return s
}
func (s *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq) SetReceivedTime(v util.LocalTime) *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq {
	s.ReceivedTime = &v
	return s
}
func (s *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq) SetReturnOrderNo(v string) *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq {
	s.ReturnOrderNo = &v
	return s
}
func (s *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq) SetMerchantCode(v string) *AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq {
	s.MerchantCode = &v
	return s
}
